# Copyright (C) 2010 by Aaron Bentley
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


import unittest

from the_kraken import LaunchpadBranch

class DoubleLaunchpad(unittest.TestCase):

    _root_uri = 'https://api.staging.launchpad.net/1.0/'


class TestLaunchpadBranch(unittest.TestCase):
    """Test local LaunchpadBranch."""

    def test_tweak_url(self):
        tweaked = LaunchpadBranch.tweak_url('bzr+ssh://bazaar.launchpad.net',
                                            DoubleLaunchpad)
        self.assertEqual('bzr+ssh://bazaar.staging.launchpad.net', tweaked)


class TestTheKraken(unittest.TestCase):
    """Test TheKraken."""
